Package: groovy.sql

## [Java] Class BatchingPreparedStatementWrapper

- groovy.sql.BatchingPreparedStatementWrapper

-     public class BatchingPreparedStatementWrapper
      extends BatchingStatementWrapper

  Class which delegates to a PreparedStatement but keeps track of a batch count size. If the batch count reaches the predefined number, this Statement does an executeBatch() automatically. If batchSize is zero, then no batching is performed.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BatchingStatementWrapper` | `batchCount, batchSize, log, results`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BatchingPreparedStatementWrapper(PreparedStatement delegate, List<Tuple> indexPropList, int batchSize, Logger log, Sql sql)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addBatch(Object[] parameters)`
    `` | `public void` | `addBatch(List<Object> parameters)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BatchingStatementWrapper` | `addBatch, clearBatch, close, executeBatch, incrementBatchCount, invokeMethod, processResult, reset`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public BatchingPreparedStatementWrapper(PreparedStatement delegate, List<Tuple> indexPropList, int batchSize, Logger log, Sql sql)

  - ### Method Detail

    - #### public void addBatch(Object[] parameters)

    - #### public void addBatch(List<Object> parameters)